summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorunknown <kent@mysql.com>2006-06-17 11:38:16 +0200
committerunknown <kent@mysql.com>2006-06-17 11:38:16 +0200
commit7775e0a1338cde6acb5cb0b748f686aa78bcc400 (patch)
tree4fd97135ef0385a4b6e1c81d2a06360f416b4125 /scripts
parent2aa2db7a87a8c99a7441f5343d023c308691a1eb (diff)
parentd1e21c2c204c3a5b9106b2041862aa02119b40d1 (diff)
downloadmariadb-git-7775e0a1338cde6acb5cb0b748f686aa78bcc400.tar.gz
Merge mysql.com:/Users/kent/mysql/bk/mysql-4.1-new
into mysql.com:/Users/kent/mysql/bk/mysql-5.0-new scripts/make_win_src_distribution.sh: Auto merged
Diffstat (limited to 'scripts')
-rw-r--r--scripts/make_win_src_distribution.sh17
1 files changed, 6 insertions, 11 deletions
diff --git a/scripts/make_win_src_distribution.sh b/scripts/make_win_src_distribution.sh
index 6ad8d4f1f9b..c677db6a537 100644
--- a/scripts/make_win_src_distribution.sh
+++ b/scripts/make_win_src_distribution.sh
@@ -77,7 +77,7 @@ show_usage()
echo " --tmp Specify the temporary location"
echo " --suffix Suffix name for the package"
echo " --dirname Directory name to copy files (intermediate)"
- echo " --silent Do not list verbosely files processed"
+ echo " --silent Show no progress information"
echo " --tar Create tar.gz package"
echo " --zip Create zip package"
echo " --help Show this help message"
@@ -143,10 +143,11 @@ unix_to_dos()
# Create a tmp dest directory to copy files
#
-BASE=$TMP/my_win_dist$SUFFIX
+BASE=$TMP/my_win_dist$SUFFIX.$$
+trap "rm -r -f $BASE; echo '*** interrupted ***'; exit 1" 1 2 3 13 15
if [ -d $BASE ] ; then
- print_debug "Destination directory '$BASE' already exists, deleting it"
+ echo "WARNING: Destination directory '$BASE' already exists, deleting it"
rm -r -f $BASE
fi
@@ -462,21 +463,15 @@ set_tarzip_options()
if [ "$arg" = "tar" ]; then
ZIPFILE1=gnutar
ZIPFILE2=gtar
- OPT=cvf
+ OPT=cf
EXT=".tar"
NEED_COMPRESS=1
- if [ "$DEBUG" = "0" ] ; then
- OPT=cf
- fi
else
ZIPFILE1=zip
ZIPFILE2=""
- OPT="-r"
+ OPT="-r -q"
EXT=".zip"
NEED_COMPRESS=0
- if [ "$DEBUG" = "0" ] ; then
- OPT="$OPT -q"
- fi
fi
done
}